#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed',
    '--PETSC_ARCH=m68k-linux-gnu-complex',
    '--build=m68k-linux-gnu',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/m68k-linux-gnu',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/petsc3.22/m68k-linux-gnu-complex',
    '--runstatedir=/run',
    '--sysconfdir=/etc',
    '--with-blas-lib=-lblas',
    '--with-cc=mpicc',
    '--with-cxx-dialect=C++11',
    '--with-cxx=mpicxx',
    '--with-debugging=0',
    '--with-dependency-tracking=0',
    '--with-fc=mpif90',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-hdf5-include=/usr/include/hdf5/mpich',
    '--with-hdf5-lib=-L/usr/lib/m68k-linux-gnu/hdf5/mpich -lhdf5 -specs=/usr/share/dpkg/pie-link.specs -Wl,-z,relro -Wl,-z,now -L/usr/lib/m68k-linux-gnu/mpich/lib -lmpichfort -lmpich -lpthread -lhwloc ',
    '--with-lapack-lib=-llapack',
    '--with-library-name-suffix=_complex',
    '--with-maintainer-mode=0',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps -lzmumps -lsmumps -lcmumps -lmumps_common -lpord',
    '--with-mumps=1',
    '--with-opencl=1',
    '--with-option-checking=0',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch',
    '--with-ptscotch-lib=-lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-mpich',
    '--with-scalapack=1',
    '--with-scalar-type=complex',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-suitesparse-include=/usr/include/suitesparse',
    '--with-suitesparse-lib=-lspqr -lumfpack -lamd -lcholmod -lklu',
    '--with-suitesparse=1',
    '--with-superlu-include=/usr/include/superlu',
    '--with-superlu-lib=-lsuperlu',
    '--with-superlu=1',
    '--with-superlu_dist-include=/usr/include/superlu-dist',
    '--with-superlu_dist-lib=-lsuperlu_dist',
    '--with-superlu_dist=1',
    '--with-valgrind=1',
    '--with-yaml=1',
    'CFLAGS=-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/build/petsc-s1Do1M/petsc-3.22.4+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'CPPFLAGS=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64 -Wdate-time -D_FORTIFY_SOURCE=2',
    'CXXFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-s1Do1M/petsc-3.22.4+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'FCFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-s1Do1M/petsc-3.22.4+dfsg1=. -fstack-protector-strong -fPIC -ffree-line-length-0',
    'FFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-s1Do1M/petsc-3.22.4+dfsg1=. -fstack-protector-strong -fPIC -ffree-line-length-0',
    'LDFLAGS=-Wl,-z,relro -fPIC',
    'MAKEFLAGS=',
  ]
  configure.petsc_configure(configure_options)
